# Bayesian Monte Carlo Markov Chain Regression

[![PyPi](https://img.shields.io/pypi/v/baypy)](https://pypi.org/project/baypy/)
[![PyPi](https://img.shields.io/pypi/pyversions/baypy.svg)](https://pypi.org/project/baypy/)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://github.com/AndreaBlengino/baypy/blob/master/LICENSE)

[![Tests](https://github.com/AndreaBlengino/baypy/actions/workflows/tests.yml/badge.svg?branch=master)](https://github.com/AndreaBlengino/baypy/actions/workflows/tests.yml)
[![codecov](https://codecov.io/gh/AndreaBlengino/baypy/graph/badge.svg?token=T7FMO9ACJW)](https://codecov.io/gh/AndreaBlengino/baypy)

**baypy** is a python package for solving bayesian regression models 
through a Monte Carlo Markov chain sampling.

## Installation

The recommended installation is through `pip`:

```
pip install baypy
```

## Usage Examples

See [usage examples](https://github.com/AndreaBlengino/baypy/tree/master/examples).

## Dependencies

- [matplotlib](https://matplotlib.org) >= 3.7.2  
  Creates static, animated, and interactive visualizations in Python.
- [numpy](https://numpy.org) >= 1.25.2  
  Adds support for large, multi-dimensional arrays, matrices and 
  high-level mathematical functions to operate on these arrays.
- [pandas](https://pandas.pydata.org) >= 2.0.3  
  Provides fast, flexible, and expressive data structures designed to 
  make working with "relational" or "labeled" data both easy and 
  intuitive. 
- [scipy](https://scipy.org) >= 1.11.1  
  Includes modules for statistics, optimization, integration, linear 
  algebra, Fourier transforms, signal and image processing, ODE solvers, 
  and more.

## Python versions

baypy runs for python version 3.9+.

## Contributing

The baypy project welcomes your expertise and enthusiasm!  
All contributions, bug reports, bug fixes, documentation improvements, 
enhancements and ideas are welcome.  
Writing code isn't the only way to contribute to baypy. You can also:

- develop tutorials, presentations and other educational materials
- maintain and improve the documentation
- help with outreach and onboard new contributors

Have a look at the [contributing guide](https://github.com/AndreaBlengino/baypy/blob/master/.github/CONTRIBUTING.md)

## License

[GNU General Public License v3.0](https://github.com/AndreaBlengino/baypy/blob/master/LICENSE)
